nmh-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated


From: Ken Hornstein
Subject: [Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated. dd404b3a868b38cdc9c7271778e7ec6591fb04a8
Date: Mon, 27 Feb 2012 02:30:14 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The nmh Mail Handling System".

The branch, master has been updated
       via  dd404b3a868b38cdc9c7271778e7ec6591fb04a8 (commit)
       via  027327f82f3672985aa02fb84e558341ca8b9a1f (commit)
       via  80b2767e802566662044eee232384b1f95dc6b61 (commit)
       via  93e6b630a5345efe78204664922694793d1ac322 (commit)
       via  eebcc9039a6802fbd4bf2df240054dfba9d2c31b (commit)
       via  30c4f6dab4681a60d08b56d9c0c2368ba84a3409 (commit)
      from  df31d2abe4d453eaef9a818a83bae42e80a1e67b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=dd404b3a868b38cdc9c7271778e7ec6591fb04a8


commit dd404b3a868b38cdc9c7271778e7ec6591fb04a8
Author: Ken Hornstein <address@hidden>
Date:   Sun Feb 26 21:29:44 2012 -0500

    Remove the forw-digest test until we have it working.

diff --git a/Makefile.am b/Makefile.am
index 8ab7a72..0889486 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -45,7 +45,6 @@ TESTS = test/bad-input/test-header test/comp/test-comp-format 
\
        test/folder/test-total test/format/test-localmbox \
        test/format/test-myname test/format/test-myhost \
        test/format/test-mymbox test/forw/test-forw-format \
-       test/forw/test-forw-digest \
        test/inc/test-deb359167 test/inc/test-eom-align \
        test/manpages/test-manpages test/mhbuild/test-forw \
        test/mhpath/test-mhpath \

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=027327f82f3672985aa02fb84e558341ca8b9a1f


commit 027327f82f3672985aa02fb84e558341ca8b9a1f
Author: Ken Hornstein <address@hidden>
Date:   Sun Feb 26 21:29:01 2012 -0500

    A test for forw -digest.  It doesn't quite work yet.

diff --git a/Makefile.am b/Makefile.am
index 0889486..8ab7a72 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -45,6 +45,7 @@ TESTS = test/bad-input/test-header test/comp/test-comp-format 
\
        test/folder/test-total test/format/test-localmbox \
        test/format/test-myname test/format/test-myhost \
        test/format/test-mymbox test/forw/test-forw-format \
+       test/forw/test-forw-digest \
        test/inc/test-deb359167 test/inc/test-eom-align \
        test/manpages/test-manpages test/mhbuild/test-forw \
        test/mhpath/test-mhpath \
diff --git a/etc/digestcomps b/etc/digestcomps
index fdb55f8..5b310d5 100644
--- a/etc/digestcomps
+++ b/etc/digestcomps
@@ -1,5 +1,5 @@
-From:    %{digest}-Request
-To:      %{digest} Distribution: dist-%{digest};
+%<{nmh-from}%(void(width))%(putaddr From:         )%|From:       
%{digest}-Request%>
+%<{nmh-to}%(void(width))%(putaddr To:     )%|To:         %{digest} 
Distribution: dist-%{digest};%>
 Subject:  %{digest} Digest V%(cur) #%(msg)
 Reply-To: %{digest}
 --------
diff --git a/test/forw/test-forw-digest b/test/forw/test-forw-digest
new file mode 100755
index 0000000..9d62fc8
--- /dev/null
+++ b/test/forw/test-forw-digest
@@ -0,0 +1,50 @@
+#!/bin/sh
+#
+# Tests to see if "forw -digest" works correctly.
+#
+
+if test -z "${MH_OBJ_DIR}"; then
+    srcdir=`dirname "$0"`/../..
+    MH_OBJ_DIR=`cd "$srcdir" && pwd`; export MH_OBJ_DIR
+fi
+
+. "$MH_OBJ_DIR/test/common.sh"
+
+setup_test
+
+expected="${MH_TEST_DIR}/$$.expected"
+actual="${MH_TEST_DIR}/Mail/draft"
+from="Mr Test User <address@hidden>"
+to1="User One <address@hidden>"
+to2="User Two <address@hidden>"
+cc1="CC User One <address@hidden>"
+cc2="CC User Two <address@hidden>"
+cc3="CC User Three <address@hidden>"
+cc4="CC User Four <address@hidden>"
+fcc1="+nosuchmailbox"
+fcc2="+nosuchmailbox2"
+
+cat > "$expected" <<EOF
+From: ${from}
+To: ${to1}, ${to2}
+cc: ${cc1},
+    ${cc2},
+    ${cc3},
+    ${cc4}
+Fcc: ${fcc1}, ${fcc2}
+Subject: foo
+--------
+
+
+EOF
+
+forw -editor true -from "${from}" -to "${to1}" -to "${to2}" \
+    -cc "${cc1}" -cc "${cc2}" -cc "${cc3}" -cc "${cc4}" -fcc "${fcc1}" \
+    -fcc "${fcc2}" -width 60 -nowhatnowproc 1 \
+    -digest digest-test +inbox 1-6 || exit 1
+
+check "${expected}" "${actual}"
+
+test "${failed:-0}" -eq 0 && rm "${form}"
+
+exit $failed

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=80b2767e802566662044eee232384b1f95dc6b61


commit 80b2767e802566662044eee232384b1f95dc6b61
Author: Ken Hornstein <address@hidden>
Date:   Sun Feb 26 21:14:04 2012 -0500

    Fix up some of the pick tests:
    
    - Change sed invocation around to get rid of GNU sed extensions
    - Put explicit times in the pick tests (if you don't, it uses the current
      hour/minutes as the timestamp, which means it could work or not work
      depending on what time of day you run the tests).

diff --git a/test/pick/test-pick b/test/pick/test-pick
index 6ee4449..2396811 100755
--- a/test/pick/test-pick
+++ b/test/pick/test-pick
@@ -22,8 +22,10 @@ actual=$MH_TEST_DIR/$$.actual
 # Add an 11th message.
 sed \
   -e 's/10/11/g' \
-  -e 's/^To:\(.*\)/To:\1\nCc: <address@hidden>/' \
-  -e 's/^\(Date:.*\)2006\( 00:00:\)00/\12008\200\nDelivery-Date: \12009\241/' \
+  -e 's/^To:\(.*\)/To:\1\
+Cc: <address@hidden>/' \
+  -e 's/^\(Date:.*\)2006\( 00:00:\)00/\12008\200\
+Delivery-Date: \12009\241/' \
   $MH_TEST_DIR/Mail/inbox/10 >$MH_TEST_DIR/Mail/inbox/11
 
 # Test message specification.
@@ -131,34 +133,35 @@ run_test 'pick -to some -nolist' '11 hits'
 run_test 'pick -to address@hidden -nolist' '11 hits'
 
 # Test -after.
-pick -after '28 Sep 2008' >$actual 2>&1
+pick -after '28 Sep 2008 00:00:00' >$actual 2>&1
 cat >$expected <<EOF
 11
 EOF
+
 check $expected $actual
 # Invert exit status so execution doesn't terminate due to -e.
-! pick -after '29 Sep 2008' >$actual 2>/dev/null
+! pick -after '29 Sep 2008 00:00:00' >$actual 2>/dev/null
 cat >$expected <<EOF
 0
 EOF
 check $expected $actual
 
 # Test -before.  While -after doesn't include the specified date, -before does.
-pick -before '29 Sep 2008' last:3 >$actual 2>&1
+pick -before '29 Sep 2008 00:00:01' last:3 >$actual 2>&1
 cat >$expected <<EOF
 9
 10
 11
 EOF
 check $expected $actual
-pick -before '28 Sep 2008' last:3 >$actual 2>&1
+pick -before '28 Sep 2008 00:00:00:' last:3 >$actual 2>&1
 cat >$expected <<EOF
 9
 10
 EOF
 check $expected $actual
 # Invert exit status so execution doesn't terminate due to -e.
-! pick -before '28 Sep 2006' last:3 >$actual 2>/dev/null
+! pick -before '28 Sep 2006 00:00:00' last:3 >$actual 2>/dev/null
 cat >$expected <<EOF
 0
 EOF

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=93e6b630a5345efe78204664922694793d1ac322


commit 93e6b630a5345efe78204664922694793d1ac322
Author: Ken Hornstein <address@hidden>
Date:   Sun Feb 26 13:02:41 2012 -0500

    Update the pending release notes with new features.

diff --git a/docs/pending-release-notes b/docs/pending-release-notes
index 2483b75..f01ebdc 100644
--- a/docs/pending-release-notes
+++ b/docs/pending-release-notes
@@ -14,7 +14,8 @@ Things to add to the release notes for the next full release:
   message parts in MIME messages) has been removed.
 - fileproc and mhlproc mh-profile entries will now be obeyed by
   send, rcvdist, and whatnow.
-- New format instructions %(putlit) and %(concataddr) have been implemented.
+- New mh-format(5) instructions have been implemented: %(putlit),
+  %(concataddr), %(myhost), %(myname)
 - The --enable-pop configure option has been removed; POP support is now
   compiled in always.
 - You can now filter the body of a message through a user-defined filter
@@ -28,3 +29,13 @@ Things to add to the release notes for the next full release:
     MM_NOASK (use -nolist and -nopause command line switches instead)
     NOMHNPROC (use -nocheckmime command line switch instead)
     FACEPROC (undocumented faceproc feature to be removed)
+- nmh's idea of the local mailbox is available via a new mh-profile(5)
+  escape, %(localmbox).  The local mailbox name is now configurable
+  via a new mh-profile(5) entry, Local-Mailbox.
+- comp, forw, and dist all support -from, -to, -cc, -fcc, and -subject
+  switches.  They also all process all component templates through
+  mh-format(5).
+- post(8) now requires a From: header in all drafts that it processes
+  for sending.  The default component templates have all been adjusted
+  to include appropriate From: headers based on either the -from switch
+  or the local mailbox.

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=eebcc9039a6802fbd4bf2df240054dfba9d2c31b


commit eebcc9039a6802fbd4bf2df240054dfba9d2c31b
Author: Ken Hornstein <address@hidden>
Date:   Sun Feb 26 12:45:48 2012 -0500

    Add a new README documenting the changes to the components files.

diff --git a/Makefile.am b/Makefile.am
index d99d46c..0889486 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -152,8 +152,9 @@ sysconf_DATA = etc/mhn.defaults etc/mts.conf
 dist_doc_DATA = COPYRIGHT VERSION docs/COMPLETION-BASH docs/COMPLETION-TCSH \
                docs/COMPLETION-ZSH docs/DIFFERENCES docs/FAQ \
                docs/MAIL.FILTERING docs/MAILING-LISTS docs/README-ATTACHMENTS \
-               docs/README-HOOKS docs/README.about docs/README.SASL \
-               docs/README.developers docs/README.manpages docs/TODO
+               docs/README-HOOKS docs/README-components docs/README.about \
+               docs/README.SASL docs/README.developers docs/README.manpages \
+               docs/TODO
 
 ##
 ## Our man pages
diff --git a/docs/README-components b/docs/README-components
new file mode 100644
index 0000000..15c8286
--- /dev/null
+++ b/docs/README-components
@@ -0,0 +1,45 @@
+As of the 1.5 release, nmh has made significant changes to the way most of
+the message composition utilites work, specifically with the way
+the components templates are handled.  If you use the default
+components templates that come with nmh then everything should work
+with only minor changes, but if you have custom component templates
+you should read this information carefully to understand how you
+might need to adapt your component templates.
+
+- "post" now requires a From: header in all drafts that it processes
+  for sending (a "Resent-From" header is accepted for use with "dist").
+
+- You should now use %(localmbox) instead of %(me) especially in replcomps
+  and replgroupcomps.
+
+- The nmh programs "comp", "forw", and "dist" now process all component
+  template files using the format routines in mh-format(5).  The default
+  templates are configured to place an appropriate From: header in them.
+  Any custom templates you use will either have to be adapter to add an
+  appropriate From: header or you will have to manually put one in
+  the draft.
+
+- "comp", "forw", and "dist" all have new switches "-from", "-to", "-cc",
+  "-fcc", and "-subject" that can be used to adjust the headers that
+  appear in the draft.  See the default component files and the program
+  man pages to see exactly how this works with mh-format.
+
+- The default From: header is constructed based on the Unix username and
+  the local hostname.  This can be overridden using the Local-Mailbox
+  profile entry.
+
+- A number of new format instructions are available:
+
+  %(myhost)    - The local hostname
+  %(myname)    - The local user's name (GECOS field)
+  %(localmbox) - The local mailbox (either Local-Mailbox or address@hidden).
+                 This should now be used instead of %(me) in nearly all
+                 cases (%(me) only outputs the local Unix username).
+  %(putlit)    - Out the contents of the str register without space
+                 compression.
+  %(concataddr) - Construct an address list like %(formataddr), except that
+                 it will NOT perform duplicate supression (currently
+                 duplicate supression only happens inside of
+                 "repl").  One possible use of this function is to
+                 construct an address list and use %(match) to decide
+                 which "From:" address to use.

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=30c4f6dab4681a60d08b56d9c0c2368ba84a3409


commit 30c4f6dab4681a60d08b56d9c0c2368ba84a3409
Author: Ken Hornstein <address@hidden>
Date:   Sun Feb 26 12:12:28 2012 -0500

    Beginnings of a test suite for the mh-format support in forw.

diff --git a/Makefile.am b/Makefile.am
index 3f1650d..d99d46c 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -44,7 +44,7 @@ TESTS = test/bad-input/test-header test/comp/test-comp-format 
\
        test/folder/test-create \
        test/folder/test-total test/format/test-localmbox \
        test/format/test-myname test/format/test-myhost \
-       test/format/test-mymbox \
+       test/format/test-mymbox test/forw/test-forw-format \
        test/inc/test-deb359167 test/inc/test-eom-align \
        test/manpages/test-manpages test/mhbuild/test-forw \
        test/mhpath/test-mhpath \
diff --git a/test/forw/test-forw-format b/test/forw/test-forw-format
new file mode 100755
index 0000000..dc73c6c
--- /dev/null
+++ b/test/forw/test-forw-format
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Tests to see if the -from, -to, -cc, -fcc, and -subject switches to
+# "forw" work correctly.
+#
+
+if test -z "${MH_OBJ_DIR}"; then
+    srcdir=`dirname "$0"`/../..
+    MH_OBJ_DIR=`cd "$srcdir" && pwd`; export MH_OBJ_DIR
+fi
+
+. "$MH_OBJ_DIR/test/common.sh"
+
+setup_test
+
+#
+# Create a test template file (we create one here just in case the master
+# one changes)
+#
+
+form="${MH_TEST_DIR}/$$.forwcomps"
+cat > $form <<EOF
+%(void{nmh-from})%(void(width))%(putaddr From: )
+%(void{nmh-to})%(void(width))%(putaddr To: )
+%(void{nmh-cc})%(void(width))%(putaddr cc: )
+Fcc: %{fcc}
+Subject:%<{nmh-subject} %(trim)%(putlit)%?{subject} %(trim)%(putlit) (fwd)%>
+--------
+EOF
+
+expected="${MH_TEST_DIR}/$$.expected"
+actual="${MH_TEST_DIR}/Mail/draft"
+from="Mr Test User <address@hidden>"
+to1="User One <address@hidden>"
+to2="User Two <address@hidden>"
+cc1="CC User One <address@hidden>"
+cc2="CC User Two <address@hidden>"
+cc3="CC User Three <address@hidden>"
+cc4="CC User Four <address@hidden>"
+fcc1="+nosuchmailbox"
+fcc2="+nosuchmailbox2"
+subject="Totally bogus subject"
+
+cat > "$expected" <<EOF
+From: ${from}
+To: ${to1}, ${to2}
+cc: ${cc1},
+    ${cc2},
+    ${cc3},
+    ${cc4}
+Fcc: ${fcc1}, ${fcc2}
+Subject: ${subject}
+--------
+
+------- Forwarded Message
+
+EOF
+
+cat `mhpath +inbox 1` >> "$expected"
+
+cat >> "$expected" <<EOF
+
+------- End of Forwarded Message
+
+EOF
+
+forw -editor true -form "${form}" -from "${from}" -to "${to1}" -to "${to2}" \
+    -cc "${cc1}" -cc "${cc2}" -cc "${cc3}" -cc "${cc4}" -fcc "${fcc1}" \
+    -fcc "${fcc2}" -subject "${subject}" -width 60 -nowhatnowproc 1 || exit 1
+
+check "${expected}" "${actual}"
+
+test "${failed:-0}" -eq 0 && rm "${form}"
+
+exit $failed

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                        |    7 ++-
 docs/README-components                             |   45 ++++++++++++++++++++
 docs/pending-release-notes                         |   13 +++++-
 etc/digestcomps                                    |    4 +-
 .../test-comp-format => forw/test-forw-digest}     |   30 ++++----------
 .../test-comp-format => forw/test-forw-format}     |   29 +++++++++----
 test/pick/test-pick                                |   17 ++++---
 7 files changed, 101 insertions(+), 44 deletions(-)
 create mode 100644 docs/README-components
 copy test/{comp/test-comp-format => forw/test-forw-digest} (56%)
 copy test/{comp/test-comp-format => forw/test-forw-format} (69%)


hooks/post-receive
-- 
The nmh Mail Handling System



reply via email to

[Prev in Thread] Current Thread [Next in Thread]